import Vue from 'vue'
import App from './App'
// #ifdef H5
import wx from 'weixin-jsapi'
import './mixins/mixin'
console.info('v2.4.51');
Vue.prototype.wx = wx //声明扫码
Vue.prototype.audios = [] //待播放的语音集合
// #endif
// #ifdef APP-PLUS
Vue.prototype.$ws = null//websocket
// #endif
Vue.config.productionTip = false

Date.prototype.Format = function (fmt) {
    var o = {
        "M+": this.getMonth() + 1, //月份
        "d+": this.getDate(), //日
        "h+": this.getHours(), //小时
        "m+": this.getMinutes(), //分
        "s+": this.getSeconds(), //秒
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度
        S: this.getMilliseconds(), //毫秒
    };
    if (/(y+)/.test(fmt))
        fmt = fmt.replace(
            RegExp.$1,
            (this.getFullYear() + "").substr(4 - RegExp.$1.length)
        );
    for (var k in o)
        if (new RegExp("(" + k + ")").test(fmt))
            fmt = fmt.replace(
                RegExp.$1,
                RegExp.$1.length == 1
                    ? o[k]
                    : ("00" + o[k]).substr(("" + o[k]).length)
            );
    return fmt;
};
// 日期过滤器
Vue.filter('formatDate', function(timestamp, format){
  console.log(timestamp, format);
  if(timestamp){
    return new Date(timestamp).Format(format);
  }else{
    return '';
  }
})
// 日期过滤器（去掉秒）
Vue.filter('filterSecondDate', function(dateStr){
  if(dateStr && dateStr.length === 19){
    return dateStr.slice(0, -3);
  }else{
    return dateStr;
  }
})
// 多个名称显示
Vue.filter('filterNames', function(arr, fieldName){
  if(Array.isArray((arr))){
    return arr.map(v => v[fieldName]).toString();
  }else{
    return '';
  }
})
App.mpType = 'app'

const app = new Vue({
    ...App
})
app.$mount()
